Project APIExperiments (V2)
Set manual assignment
Set or clear a manual override for a unit's experiment assignment. Pass groupId to assign, or null to clear the override and revert to automatic.
Authorization
personalAccessTokenAuth AuthorizationBearer <token>
Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
applicationId*integer
Range
0 < value <= 9007199254740991experimentId*integer
Range
0 < value <= 9007199254740991Header Parameters
environment_id*number
Gamebeast environment ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/application/1/v2/experiments/1/assignments" \ -H "environment_id: 0" \ -H "Content-Type: application/json" \ -d '{ "unitType": "user", "distinctId": "string", "groupId": 1 }'{ "assignment": { "experimentId": 1, "unitType": "user", "distinctId": "string", "automaticGroupId": 1, "automaticSource": "weightedHash", "automaticAssignedAt": "2019-08-24T14:15:22Z", "overrideGroupId": 1, "overrideSetAt": "2019-08-24T14:15:22Z", "overrideSetBy": "4ade4f38-35c9-4cac-ac9d-5256213fb60b", "overrideReason": "string", "status": "active", "effectiveGroupId": 1, "effectiveSource": "weightedHash", "version": 2, "statusChangedAt": "2019-08-24T14:15:22Z", "statusChangedBy": "d504620c-9af0-4af0-b2c2-f855ca6ca92e", "statusReason": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "replayed": true}